<?php
namespace Magento\Sales\Block\Adminhtml\Order\Payment;

/**
 * Interceptor class for @see \Magento\Sales\Block\Adminhtml\Order\Payment
 */
class Interceptor extends \Magento\Sales\Block\Adminhtml\Order\Payment implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Payment\Helper\Data $paymentData, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $paymentData, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
